import { JumboObject, PaginationOptions } from '../base/jumboObject';
import { AdditionalRequestOptions } from '../jumbo';
import { RecipeModel } from './recipeModel';
export interface RecipeOptions extends PaginationOptions {
}
export declare class Recipe extends JumboObject {
    /**
     * Get recipe from ID
     * @param recipeId Recipe ID
     */
    getRecipeFromId(recipeId: number, additionalRequestOptions?: AdditionalRequestOptions): Promise<RecipeModel>;
    /**
     * Get recipes from given recipe name
     * @param recipeName Recipe name to search for
     * @param options Options for the search
     * @param options.offset Offset in search (default 0)
     * @param options.limit Amount of products returned (default 10)
     */
    getRecipesFromName(recipeName: string, options?: RecipeOptions, additionalRequestOptions?: AdditionalRequestOptions): Promise<RecipeModel[]>;
    /**
     * Get recipes from given filter ID
     * @param filterId Recipe filter ID
     * @param options Options for the search
     * @param options.offset Offset in search (default 0)
     * @param options.limit Amount of products returned (default 10)
     */
    getRecipesFromFilterId(filterId: number, options?: RecipeOptions, additionalRequestOptions?: AdditionalRequestOptions): Promise<RecipeModel[]>;
}
