import { JumboObject, PaginationOptions } from '../base/jumboObject';
import { AdditionalRequestOptions } from '../jumbo';
import { StoreModel } from './storeModel';
interface StoreOptions extends PaginationOptions {
    long: number;
    lat: number;
    distance?: number;
}
export declare class Store extends JumboObject {
    /**
     * Gets store from store ID
     * @param storeId Store ID
     */
    getStoreFromId(storeId: number, additionalRequestOptions?: AdditionalRequestOptions): Promise<StoreModel>;
    /**
     * Find stores based on given longitude, latitude and distance (optional)
     * @param options Options for the search
     * @param options.long Longitude
     * @param options.lat Latitude
     * @param options.distance (Optional) Maximum search radius (default none)
     * @param options.limit Number of stores to retrieve (default 20)
     * @param options.offset Offset in search (default 0)
     */
    getStoresFromLongLat(options: StoreOptions, additionalRequestOptions?: AdditionalRequestOptions): Promise<StoreModel[]>;
}
export {};
